/*
 Alina Campan - AnonymizationTask.java
 -----------------------------
 Date Created: 	05-13-2008
 Date Modified:	05-13-2008
 -----------------------------
 
 It contains the following class:
 	
	- Cluster - represents an anonymization task
*/

// At every moment an active anonymization task must exist in order to apply an anonymization technique
public class AnonymizationTask {
	public static final int BYUN = 1;
	public static final int ZHELEVA = 2;
	public static final int SNK_ANONYMIZATION = 3;
	
	private int taskID;
	private String descriptor_file = "";
	private String dbname = "";
	private String ent_table = "";
	private String edges_table = "";
	private int k = 1;
	private int p = 1;
	private int anonymizationAlg;
}